## START: Set by rpmautospec
## (rpmautospec version 0.7.2)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global tarball_version %%(echo %{version} | tr '~' '.')

Name:           endeavour
Version:        43.0
Release:        %autorelease
Summary:        Personal task manager for GNOME

License:        GPL-3.0-or-later
URL:            https://gitlab.gnome.org/World/Endeavour
Source:         https://gitlab.gnome.org/World/Endeavour/-/archive/%{version}/Endeavour-%{version}.tar.bz2

BuildRequires:  gcc
BuildRequires:  gettext
BuildRequires:  itstool
BuildRequires:  meson
BuildRequires:  pkgconfig(gio-2.0)
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(goa-1.0)
BuildRequires:  pkgconfig(gtk4)
BuildRequires:  pkgconfig(libadwaita-1)
BuildRequires:  pkgconfig(libecal-2.0) >= 3.33.2
BuildRequires:  pkgconfig(libedataserver-1.2)
BuildRequires:  pkgconfig(libedataserverui-1.2)
BuildRequires:  pkgconfig(libpeas-1.0)
BuildRequires:  pkgconfig(libportal-gtk4)
BuildRequires:  pkgconfig(rest-0.7)
BuildRequires:  /usr/bin/appstream-util
BuildRequires:  /usr/bin/desktop-file-validate

%description
Endeavour (formerly GNOME Todo) is a small application to manage your personal
tasks. It uses GNOME technologies, and so it has complete integration with the
GNOME desktop environment.

%package devel
Summary:        Development files needed to write plugins for Endeavour

%description devel
%{summary}.

%prep
%autosetup -p1 -n Endeavour-%{tarball_version}

%build
%meson
%meson_build

%install
%meson_install
%find_lang %{name} --with-gnome

%check
desktop-file-validate %{buildroot}%{_datadir}/applications/org.gnome.Todo.desktop
appstream-util validate-relax --nonet %{buildroot}%{_metainfodir}/org.gnome.Todo.appdata.xml

%files -f %{name}.lang
%license COPYING
%doc README.md
%{_bindir}/endeavour
%{_datadir}/applications/org.gnome.Todo.desktop
%{_datadir}/dbus-1/services/org.gnome.Todo.service
%{_datadir}/glib-2.0/schemas/org.gnome.todo.*.xml
%{_datadir}/icons/hicolor/*/apps/org.gnome.Todo*.svg
%{_datadir}/icons/hicolor/symbolic/actions/*.svg
%{_libdir}/girepository-1.0/Gtd-1.0.typelib
%{_metainfodir}/org.gnome.Todo.appdata.xml

%files devel
%{_includedir}/endeavour/
%{_libdir}/pkgconfig/endeavour.pc
%{_datadir}/gir-1.0/Gtd-1.0.gir

%changelog
## START: Generated by rpmautospec
* Wed Oct 16 2024 John Doe <packager@example.com> - 43.0-1
- Uncommitted changes
## END: Generated by rpmautospec
